#### Description:

This function returns the size of a region of dynamically allocated memory.

#### Synopsis

size_t astSizeOf( const void ∗ptr )

#### Parameters:

##### ptr

Pointer to dynamically allocated memory (or NULL if the size of the allocated memory was zero).

#### Returned Value

##### astSizeOf()

The allocated size. This will be zero if a NULL pointer was supplied (no error will result).

#### Notes:

- A value of zero is returned if this function is invoked with the global error status set, or if it fails for any reason.

Copyright (C) 2021 East Asian Observatory